; Game states
DEF GAME_STATEF_TITLE EQU (1 << 0)
DEF GAME_STATEF_GAME EQU (1 << 1)

; Player states
DEF PLAYER_STATEF_WALK EQU (1 << 0)
DEF PLAYER_STATEF_JUMP EQU (1 << 1)

; Tile data allocations
DEF ALLOC_SIZE_FONT EQU 37
DEF ALLOC_SIZE_PLAYER EQU 52
DEF ALLOC_SIZE_BACKGROUND EQU 32
DEF ALLOC_SIZE_ITEMS EQU 20
DEF ALLOC_SIZE_MONSTERS EQU 108

DEF TILE_INDEX_FONT EQU 0
DEF TILE_INDEX_PLAYER EQU ALLOC_SIZE_FONT
DEF TILE_INDEX_BACKGROUND EQU ALLOC_SIZE_FONT + ALLOC_SIZE_PLAYER
DEF TILE_INDEX_ITEMS EQU ALLOC_SIZE_FONT + ALLOC_SIZE_PLAYER + ALLOC_SIZE_BACKGROUND
DEF TILE_INDEX_MONSTERS EQU ALLOC_SIZE_FONT + ALLOC_SIZE_PLAYER + ALLOC_SIZE_BACKGROUND + ALLOC_SIZE_ITEMS

ASSERT TILE_INDEX_PLAYER == 37
ASSERT TILE_INDEX_BACKGROUND == 89
ASSERT TILE_INDEX_ITEMS == 121
ASSERT TILE_INDEX_MONSTERS == 141
ASSERT TILE_INDEX_MONSTERS + ALLOC_SIZE_MONSTERS < 256
